Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class DatabaseNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.je.DatabaseException
                  com.sleepycat.je.DatabaseNotFoundException

All Implemented Interfaces:
  Serializable

    public class DatabaseNotFoundException

extends DatabaseException

Thrown when an operation requires a database and that database does not exist.

See Also:
  Serialized Form

Constructor Summary
`DatabaseNotFoundException()`
`DatabaseNotFoundException(String message)`
`DatabaseNotFoundException(String message, Throwable t)`
`DatabaseNotFoundException(Throwable t)`

Method Summary

Methods inherited from class com.sleepycat.je.DatabaseException
`getVersionHeader`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseNotFoundException

    public DatabaseNotFoundException()

### DatabaseNotFoundException

    public DatabaseNotFoundException(Throwable t)

### DatabaseNotFoundException

    public DatabaseNotFoundException(String message)

### DatabaseNotFoundException

    public DatabaseNotFoundException(String message,
                                     Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.